# _QuakeWorld Bot_
You want to install this QuakeWorld Bot, or want to get more information about it? 
You've come to the right place. So to say, one of the right places. ;) You can also find the devs on irc://irc.quakenet.org/qwnet.

## How to install it
We got an installation script to do the work of getting the source files off the git repositories and compile it. It will even run the bot for the first time. Why? Because, on the first run, it will create a configuration file.
You only need to have git, gcc(g++), Qt(libs: qt-core, libqt4-dev(debian)) and the usual make installed on your system. They're pre-requisites. The script checks for them too. If they don't exist on your system, you can either install them, or you could ask the devs for a statically linked binary package.

So, here's the thing. Put this into your user shell (not root!) and all the magic happens:

curl -L https://gitlab.netdome.biz/community-messaging-project/qwbot/raw/master/is_cimsqwbot.sh | bash

If you don't like magic, get the installation script of that http location first, have a look into it, then run it. ;)

## How do I get the Bot to connect to a server?
There are two ways to do that; the automatic way, when connected to the "central" and the manual way, by configuring the config file.

### Add a server via config file:
In the config file (currently named cimsqwbot.cfg) there is the [Servers] section.
First, set the "size" - the count of the servers that are to be monitored.
Then, set the server addresses themselves.

_Example:_
>[Servers]
>size=2
>1\address=123.123.123.123:27101
>2\address=123.123.234.234:27500

We know, this is not really intuitive, but the whole thing is designed to normally work automatically, controlled by a "central" server - and that's the other method.